<?php
    $pagination = new Zebra_Pagination();
    /**
     * @param $countries - массив с записями
     * @param bool $records_per_page - количество записей на странице
     * @return array
     */
    function pagination($countries, $records_per_page = false) {
        global $pagination, $settings_records_per_page;
        if (!$records_per_page) {
            $records_per_page = $settings_records_per_page;
        }
        $pagination->records(count($countries));
        $pagination->records_per_page($records_per_page);
        $countries = array_slice($countries, (($pagination->get_page() - 1) * $records_per_page), $records_per_page);

        return $countries;
    }

    /**
     * Отрисовка пагинации
     */
    function pagination_render() {
        global $pagination;
        $pagination->render();
    }